Subject: bug#16759: CC Mode modes: mode hooks are called twice.

From: Stefan <[email-masked]>
Date: Thu, 20 Mar 2014 12:47:23 -0400

> IIUC, this is because you want to run some C-mode stuff after the hooks.

Note that "after the hooks" also means "after the code of the child
mode" if someone defines a child mode (since hooks get delayed to
after the child mode's code).

The need to "run things after the hooks" is not frequent but is not
exceptional either, so we should provide a good solution for it.
So far, the best solution I know is to use hack-local-variables-hook,
but that is not run if you use M-x c-mode RET.

        Stefan